using Unity.Collections;
using UnityEngine;

public enum Gear
{
	Undefined,P,R,N,D,L,M1,M2,M3,M4,M5,M6,M7,M8
}

[System.Serializable]
public struct DataStruct
{
	[Range(0, 400)] public float speed;
	[Range(0, 9000)] public float rpm;
	public Gear gear;
	public int intTest;
	public double doubleTest;
	public long longTest;
	public bool checkboxTest;
	public FixedString128Bytes stringTest;
}